VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo:
[legend]

## Public Member Functions

| PipelineLayoutCreateInfo (PipelineLayoutCreateFlags flags_=PipelineLayoutCreateFlags(), uint32_t setLayoutCount_=0, const DescriptorSetLayout *pSetLayouts_=nullptr, uint32_t pushConstantRangeCount_=0, const PushConstantRange *pPushConstantRanges_=nullptr)
| PipelineLayoutCreateInfo (VkPipelineLayoutCreateInfo const &rhs)
PipelineLayoutCreateInfo & | operator= (VkPipelineLayoutCreateInfo const &rhs)
PipelineLayoutCreateInfo & | setPNext (const void *pNext_)
PipelineLayoutCreateInfo & | setFlags (PipelineLayoutCreateFlags flags_)
PipelineLayoutCreateInfo & | setSetLayoutCount (uint32_t setLayoutCount_)
PipelineLayoutCreateInfo & | setPSetLayouts (const DescriptorSetLayout *pSetLayouts_)
PipelineLayoutCreateInfo & | setPushConstantRangeCount (uint32_t pushConstantRangeCount_)
PipelineLayoutCreateInfo & | setPPushConstantRanges (const PushConstantRange *pPushConstantRanges_)
| operator VkPipelineLayoutCreateInfo const & () const
| operator VkPipelineLayoutCreateInfo & ()
bool | operator== (PipelineLayoutCreateInfo const &rhs) const
bool | operator!= (PipelineLayoutCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineLayoutCreateFlags | flags
uint32_t | setLayoutCount
const DescriptorSetLayout * | pSetLayouts
uint32_t | pushConstantRangeCount
const PushConstantRange * | pPushConstantRanges

## Private Attributes

StructureType | sType = StructureType::ePipelineLayoutCreateInfo

## Detailed Description

Definition at line 23215 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineLayoutCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::PipelineLayoutCreateInfo | ( | PipelineLayoutCreateFlags | flags_ = `PipelineLayoutCreateFlags()`,
|  | uint32_t | setLayoutCount_ = `0`,
|  | const DescriptorSetLayout * | pSetLayouts_ = `nullptr`,
|  | uint32_t | pushConstantRangeCount_ = `0`,
|  | const PushConstantRange * | pPushConstantRanges_ = `nullptr`
| ) |  |

inline

Definition at line 23217 of file vulkan.hpp.

: flags( flags_ )
, setLayoutCount( setLayoutCount_ )
, pSetLayouts( pSetLayouts_ )
, pushConstantRangeCount( pushConstantRangeCount_ )
, pPushConstantRanges( pPushConstantRanges_ )
{
}

## PipelineLayoutCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::PipelineLayoutCreateInfo | ( | VkPipelineLayoutCreateInfo const & | rhs | ) |

inline

Definition at line 23230 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineLayoutCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineLayoutCreateInfo &()

VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::operator VkPipelineLayoutCreateInfo & | ( |  | ) |

inline

Definition at line 23281 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineLayoutCreateInfo*>(this);
}

## operator VkPipelineLayoutCreateInfo const &()

VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::operator VkPipelineLayoutCreateInfo const & | ( |  | ) | const

inline

Definition at line 23276 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineLayoutCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::operator!= | ( | PipelineLayoutCreateInfo const & | rhs | ) | const

inline

Definition at line 23297 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineLayoutCreateInfo& VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::operator= | ( | VkPipelineLayoutCreateInfo const & | rhs | ) |

inline

Definition at line 23235 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineLayoutCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::operator== | ( | PipelineLayoutCreateInfo const & | rhs | ) | const

inline

Definition at line 23286 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( setLayoutCount == rhs.setLayoutCount )
&& ( pSetLayouts == rhs.pSetLayouts )
&& ( pushConstantRangeCount == rhs.pushConstantRangeCount )
&& ( pPushConstantRanges == rhs.pPushConstantRanges );
}

References flags, pNext, pPushConstantRanges, pSetLayouts, pushConstantRangeCount, setLayoutCount, and sType.

Referenced by operator!=().

## setFlags()

PipelineLayoutCreateInfo& VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::setFlags | ( | PipelineLayoutCreateFlags | flags_ | ) |

inline

Definition at line 23246 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

PipelineLayoutCreateInfo& VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 23240 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPPushConstantRanges()

PipelineLayoutCreateInfo& VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::setPPushConstantRanges | ( | const PushConstantRange * | pPushConstantRanges_ | ) |

inline

Definition at line 23270 of file vulkan.hpp.

{
pPushConstantRanges = pPushConstantRanges_;
return *this;
}

References pPushConstantRanges.

## setPSetLayouts()

PipelineLayoutCreateInfo& VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::setPSetLayouts | ( | const DescriptorSetLayout * | pSetLayouts_ | ) |

inline

Definition at line 23258 of file vulkan.hpp.

{
pSetLayouts = pSetLayouts_;
return *this;
}

References pSetLayouts.

## setPushConstantRangeCount()

PipelineLayoutCreateInfo& VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::setPushConstantRangeCount | ( | uint32_t | pushConstantRangeCount_ | ) |

inline

Definition at line 23264 of file vulkan.hpp.

{
pushConstantRangeCount = pushConstantRangeCount_;
return *this;
}

References pushConstantRangeCount.

## setSetLayoutCount()

PipelineLayoutCreateInfo& VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::setSetLayoutCount | ( | uint32_t | setLayoutCount_ | ) |

inline

Definition at line 23252 of file vulkan.hpp.

{
setLayoutCount = setLayoutCount_;
return *this;
}

References setLayoutCount.

## Field Documentation

## flags

PipelineLayoutCreateFlags VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::flags

Definition at line 23307 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::pNext = nullptr

Definition at line 23306 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pPushConstantRanges

const PushConstantRange* VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::pPushConstantRanges

Definition at line 23311 of file vulkan.hpp.

Referenced by operator==(), and setPPushConstantRanges().

## pSetLayouts

const DescriptorSetLayout* VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::pSetLayouts

Definition at line 23309 of file vulkan.hpp.

Referenced by operator==(), and setPSetLayouts().

## pushConstantRangeCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::pushConstantRangeCount

Definition at line 23310 of file vulkan.hpp.

Referenced by operator==(), and setPushConstantRangeCount().

## setLayoutCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::setLayoutCount

Definition at line 23308 of file vulkan.hpp.

Referenced by operator==(), and setSetLayoutCount().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::sType = StructureType::ePipelineLayoutCreateInfo

private

Definition at line 23303 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::setLayoutCount
uint32_t setLayoutCount
Definition: vulkan.hpp:23308
VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::pSetLayouts
const DescriptorSetLayout * pSetLayouts
Definition: vulkan.hpp:23309
VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::PipelineLayoutCreateInfo
PipelineLayoutCreateInfo(PipelineLayoutCreateFlags flags_=PipelineLayoutCreateFlags(), uint32_t setLayoutCount_=0, const DescriptorSetLayout *pSetLayouts_=nullptr, uint32_t pushConstantRangeCount_=0, const PushConstantRange *pPushConstantRanges_=nullptr)
Definition: vulkan.hpp:23217
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:23303
VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::pPushConstantRanges
const PushConstantRange * pPushConstantRanges
Definition: vulkan.hpp:23311
VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::pushConstantRangeCount
uint32_t pushConstantRangeCount
Definition: vulkan.hpp:23310
VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::flags
PipelineLayoutCreateFlags flags
Definition: vulkan.hpp:23307
VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:23306
VkPipelineLayoutCreateInfo
Definition: vulkan_core.h:2500
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::PipelineLayoutCreateInfo::operator==
bool operator==(PipelineLayoutCreateInfo const &rhs) const
Definition: vulkan.hpp:23286